Ubuntu

“eglibc” 2.10.1-0ubuntu19 source package in The Karmic Koala

Publishing history

2.10.1-0ubuntu19
OBSOLETE: Karmic pocket Updates in component main and section libs
  • Removed from disk on 2013-03-04.
  • Removal requested on 2013-03-04.
  • Published on 2011-01-11
  • Copied from ubuntu karmic in Private PPA for Ubuntu Security Team
2.10.1-0ubuntu19
OBSOLETE: Karmic pocket Security in component main and section libs
  • Removed from disk on 2013-03-04.
  • Removal requested on 2013-03-04.
  • Published on 2011-01-11
  • Copied from ubuntu karmic in Private PPA for Ubuntu Security Team

Builds

Changelog

eglibc (2.10.1-0ubuntu19) karmic-security; urgency=low

  * SECURITY UPDATE: setuid iconv users could load arbitrary libraries.
    - debian/patches/any/dst-expansion-fix.diff: refresh with new
      proposed solution, avoiding iconv issues.
    - any/cvs-check-setuid-on-audit.diff: upstream fix for CVE-2010-3856,
      which was already had a work-around in 2.10.1-0ubuntu18.
 -- Kees Cook <email address hidden>   Mon, 10 Jan 2011 20:51:08 -0800